Results 1 to 8 of 8

Thread: Kwallet

  1. #1
    Join Date
    Feb 2009
    Location
    UK
    Posts
    1,085

    Default Kwallet

    I was having some probs with kwallet only sometimes handling log-on to kmail, so I looked in YAST and found a newer one.....

    I now have TWO kwallet managers.How do I uninstall the older one, I can only find the newer in YAST...

    Tumbleweed/KDE/Ati Radeon R9 270/AMD FX-6300/8Gb DDR3

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Kwallet

    Check carefully. As there are various naming policies in place in 11.1
    kwallet for kde3
    kde4.1

    I see you are using kde3. So when you say you added a newer one, where from?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Feb 2009
    Location
    UK
    Posts
    1,085

    Default Re: Kwallet

    Quote Originally Posted by caf4926 View Post
    Check carefully. As there are various naming policies in place in 11.1
    kwallet for kde3
    kde4.1

    I see you are using kde3. So when you say you added a newer one, where from?
    Lawks! That took some time and brainache!
    After a bit of head scratching and random greppery and kdsu-ing and su -c and etc etc, I eventually logged in as root and found this entry in var/log/YaST2(locked)/y2log

    Code:
    2009-10-19 15:36:27 <1> linux-oqc9(6338) [zypp++] MediaCurl.cc(doGetFileCopy):1228 URL: http://download.opensuse.org/distribution/11.1/repo/oss/suse/i586/kde4-kwalletmanager-4.1.3-2.12.i586.rpm
    I use kde 3.5.1 but have libraries etc installed so I can use kde 4.x apps
    As I say I now have two kwallets, but they seem not to "talk" to each other. my uninformed guess is that the first was installed from the DVD on original install, which is no longer a repo (???????), so does not show up in YAST (??????)
    The first kwallet, 1.1 is working now, but I suppose I may as well use the newer, kde4 version, but I don't now how to uninstall the older one, or to tell the system that the kde4 version should take over...

    Tumbleweed/KDE/Ati Radeon R9 270/AMD FX-6300/8Gb DDR3

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Kwallet

    I think you need to go to auto start and ban the one you don't use, isn't it integrated rather than being a separate app.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Feb 2009
    Location
    UK
    Posts
    1,085

    Default Re: Kwallet

    Quote Originally Posted by caf4926 View Post
    I think you need to go to auto start and ban the one you don't use, isn't it integrated rather than being a separate app.
    You mean that it is a part of kde and not a discete app?
    I can't find autostart in yast or kde settings.
    my ~/.kde/Autostart is empty
    as is ~/kde4/Autostart.......

    Tumbleweed/KDE/Ati Radeon R9 270/AMD FX-6300/8Gb DDR3

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Kwallet

    So you are in kde3 login - yes.
    What about the control centre?

    I used the kde4 equivalent to set this sort of thing
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Kwallet

    # cd /usr/share/kde4/apps/kwalletd
    # mv kwalletd.notifyrc kwalletd.notifyrc.rekcufeid
    # cd /usr/share/kde4/apps/kwalletmanager
    # mv kwalletmanager.rc kwalletmanager.rc.rekcufeid
    # cd /usr/lib64/kde4
    # mv kcm_kwallet.so kcm_kwallet.so.rekcufeid
    AND I STILL HAVE BETTER LUCK KILLING A POLITICIAN THAN IT

  8. #8
    Join Date
    Feb 2009
    Location
    UK
    Posts
    1,085

    Default Re: Kwallet

    Ellis I am sorry but i did not really understand your post, why you are renaming? Is this just your way of telling me that you think kwallet is rubbish and don't want to use it?

    Tumbleweed/KDE/Ati Radeon R9 270/AMD FX-6300/8Gb DDR3

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •